---
title: Falco applies for graduation
date: 2022-11-09
author: Jacque Salinas, Leonardo Grasso, and Vicente Jiménez Miras
slug: falco-applies-for-graduation
tags: ["Community"]
---

Dear Falco community, 

The Falco project is excited to announce that on Nov 4, 2022, the project maintainers submitted the PR to be considered for graduation. This milestone is important because it demonstrates the health and maturity of the project to the Kubernetes & cloud ecosystem. 

Falco joined the CNCF as a Sandbox project in the fall of 2018 and evolved into Incubating status two years later. The community believes the next natural step is for Falco to apply for graduation. The project has reached maturity in **community health, diversity of contributions & contributors, and ecosystem adoption.**

## Why is Falco ready to graduate?

Falco’s adoption has grown widespread within the Kubernetes ecosystem; users of the project include AWS, Qonto, Shopify, and many others. The project has been integrated into a variety of derivative open source and commercial products such as **R6/Phoenix, Giant Swarm AppPlatform, gVisor, StackRox, Tarian, Sysdig Secure, and many more**. 

Since incubation, the amount of contributions coming from organizations other than Falco's original creator (Sysdig) has grown steadily. During the last year, around **38%** of the contributions came from a diverse group of committers that includes: **Innoteam, Amazon, Samsung, IBM, Mercari, RedHat, and many individual contributors. More details are available** [**here**](https://falco.devstats.cncf.io/d/5/companies-table?orgId=1&var-period_name=Last%20year&var-metric=contributions).

Falco currently stands with **5,300+ GitHub stars** and **165+ contributors** across the various repos in the [**falcosecurity**](https://github.com/falcosecurity) GitHub organization. The community has also expanded its footprint to **1,695 users** registered in the Falco community [**Slack channel**](https://kubernetes.slack.com/messages/falco).

### Project highlights for 2022

* Github stars: + 26%
* Core repo contributors: +65%
* Forks:  +7%
* Slack channel members: +126% 
* Downloads:
    * 41.7M Docker hub pulls (25% growth)
    * 1.2M AWS ECR

### New features in Falco

The most significant additions since acceptance for Incubation include:
* Stable release schedule
* Contribution of the whole libs source code into the _Falcosecurity_ organization
* Plugin framework, allowing event sources other than syscalls
* New eBPF probe
* *gVisor* integration

### Community maturity

The project has grown an active and engaged leadership committee and has been stable for the past year. We believe Falco has proven maturity in their maintenance processes that shows stability as a whole. We are proud to also highlight that since incubation, Falco has added maintainers from 4 new organizations.
 
Falco has also demonstrated consistent application of governance and community growth processes. We strongly believe that the community has evidence of happy and healthy contributors and maintainers. We've also facilatated and clarified roles to empower maintainers and contributors to follow a path of advancing contributions. 

## How can you help today?

* Go here: [Falco graduation proposal](https://github.com/cncf/toc/pull/956).
* If you are a fan of Falco, we would love a 👍, ❤️, or 🚀 on this PR.
* If you are using Falco in production, please add your name to our [ADOPTERS.md](https://github.com/falcosecurity/falco/blob/master/ADOPTERS.md) document.
* If you do any of the above, share it on the social media platform of your choice.
