---
title: Falco in the open
date: 2019-08-27
author: Kris Nova
slug: falco-in-the-open
---

One of the most successful aspects of Kubernetes is how functional the open source community was able to operate. Kubernetes broke itself down in smaller sections called special interest groups, that operate similarly to subsections of the kernel. Each group is responsible for a single domain, and sets their own pace. One of the most important things to a [Kubernetes SIG](https://github.com/kubernetes/community/blob/master/sig-list.md), is the residual SIG calls. These are important opportunities for engineers across the industry to come together regardless of their employment status to work on building software. The structure of a SIG call varies from group to group, but all calls exist to [organize the engineers working in a particular space](https://kubernetes.io/docs/contribute/participating/).


![Kubernetes logo](/img/kubernetes-150.png)


The call begins, and users sign in so we can track attendance over time. We have a pre-loaded agenda that everyone can edit in between the calls. We work through the agenda item by item, taking note of any action that comes from our time together. The theory is that the calls are were we make decisions as a team, and decisions shouldn’t be made without giving everyone in the SIG an opportunity to voice their opinion. Its remarkable how even this small amount of structure has enabled thousands of engineers in the community to work together in a productive and inclusive way.


## We want to embrace this philosophy with Falco


Every Wednesday morning at 8am Pacific we invite everyone in the [Falco community](https://falco.org/) to join our open source calls. We switch off the meeting objective every week. It alternates between an “office hours” call, and a “repository planning” call. You can get calendar invites to each of these calls by joining the [official Falco mailing list](https://lists.cncf.io/g/cncf-falco-dev). We hope you are as excited as we are about moving Falco to full time open source, and we hope to see you during the meetings!


![Falco logo](/img/falco-150.png)


## Falco office hours

This is an open ended call where we discuss feature work and open issues from the issue tracker. More information can be found here in the official [Falco office Hours repository](https://github.com/falcosecurity/office-hours). This call is structured in a way to enable the users of Falco. As a Falco user, joining this call would be a good place to ask questions or get involved with the project.


## Repository planning

These calls are structured for engineers working on Falco. This is where we discuss the future of Falco, and assign items to engineers. All of our roadmap planning happens on these calls. This is the best way to get feature work out of Falco.
