---
title: Updating Falco’s governance documentation
date: 2022-09-02
author: Jason Dellaluce, Leonardo Grasso
slug: updating-falco-governance
tags: ["Community"]
---

As a CNCF project, Falco is committed to promoting a healthy community of contributors and maintainers from multiple vendors. In aid of this, we are delighted to announce that we have updated the Falco governance documentation to help our maintainers better serve our community. 

Our goal has been to streamline and clarify roles and processes to make it easier for maintainers to do their job and for others to join the community. We fine-tuned and documented in detail the consensus-driven process we use for decision making. Additionally we clarified roles and responsibilities for contributors, and made explicit our community principles of openness, respect, transparency, diversity and vibrancy.

The [voting PR](https://github.com/falcosecurity/evolution/pull/169) for these updates commenced on August 22, 2022, after several weeks of discussion. The vote closed after just 4 days with 9 votes cast in favor of the changes, well exceeding the 66% majority required.

All Falco community members are encouraged to review the [new governance](https://github.com/falcosecurity/evolution/blob/main/GOVERNANCE.md) and [maintainers guidelines](https://github.com/falcosecurity/evolution/blob/main/MAINTAINERS_GUIDELINES.md). Highlights of the revised documents include: 

* **Falco community principles**: we continue to strive for openness, respect, transparency, diversity, and a vibrant project
* **Leadership roles & responsibility**: maintainers of the core repositories serve as the oversight and direction-setting group for the whole project, with limits set on per-company voting power
* **Technical advisory groups**: can now be formed to address specific topics where expertise and recommendations are required
* **Maintainer lifecycle**: clear definition of how project members move from contributor to maintainer and from retiring to emeritus status

Decision-making and voting: clear rules on lazy consensus by default, and how votes should be conducted.

For feedback or questions please contact us through [#falco on the Kubernetes Slack](https://kubernetes.slack.com/messages/falco) or the [developer mailing list](https://lists.cncf.io/g/cncf-falco-dev). 

If you are interested in joining the community, you can find out how to contribute in [Contribution Guidelines](https://github.com/falcosecurity/.github/blob/main/CONTRIBUTING.md).

Thank you to all the Falco maintainers and community members for their discussion and support as we improved our governance documentation!

*Falco maintainers*
