---
title: Tutorials
linktitle: Tutorials
description: Learn Falco with How-To guides and tutorials
main_menu: true
weight: 85
---

Sometimes, reading the documentation doesn't suffice to fully picture how to implement a solution. For this reason, many Falco users have contributed to the project with blogs in form of tutorials where they've reflected their experience with Falco and its ecosystem.

Here you can find a curated list of those tutorials grouped per category.

## Hands-on Blogs

### Introduction to Falco
- [Learn how you can secure Kubernetes with Falco](/blog/intro-k8s-security-monitoring/)

### Falco Deployment
- [Build Falco drivers with Falco Driverkit and Docker](/blog/falco-driverkit-debian-docker/)
- [Run Falco on an Apple Silicon Mac](/blog/falco-apple-silicon/)

### Falco Plugins & Integrations
- [Configure Docker to integrate gVisor with Falco](/blog/intro-gvisor-falco/)
- [Analyze Okta Log Events with a Falco Plugin](/blog/falco-okta-plugin/)
- [Extend Falco inputs by creating a Plugin: The Basics](/blog/extend-falco-inputs-with-a-plugin-the-basics/)
- [Extend Falco inputs by creating a Plugin: Register the Plugin](/blog/extend-falco-inputs-with-a-plugin-register/)
- [Export Falco metrics to Prometheus and Grafana](/blog/falco-kind-prometheus-grafana/)

### Falco Development
- [Get started developing Falco](/blog/intro-development-falco/)
- [Extend Falco adding support for new syscalls](/blog/falco-monitoring-new-syscalls/)

### Falcosidekick

- [Inspect Kubernetes Audit Logs with Falco](/blog/detect-malicious-behaviour-on-kubernetes-api-server-through-audit-logs/) using the [Kubernetes Webhook Backend](https://kubernetes.io/docs/tasks/debug/debug-cluster/audit/#webhook-backend)
- [Inspect Kubernetes Audit Logs with FluentBit and Falco](/blog/detect-malicious-behaviour-on-kubernetes-api-server-through-gathering-audit-logs-by-using-fluentbit-part-2/) using the [Kubernetes Log Backend](https://kubernetes.io/docs/tasks/debug/debug-cluster/audit/#log-backend)
- [Build a Kubernetes Response Engine with Falcosidekick & Kubeless](/blog/falcosidekick-response-engine-part-1-kubeless/)
- [Build a Kubernetes Response Engine with Falcosidekick & OpenFaas](/blog/falcosidekick-response-engine-part-2-openfaas/)
- [Build a Kubernetes Response Engine with Falcosidekick & Knative](/blog/falcosidekick-response-engine-part-3-knative/)
- [Build a Kubernetes Response Engine with Falcosidekick & Tekton](/blog/falcosidekick-response-engine-part-4-tekton/)
- [Build a Kubernetes Response Engine with Falcosidekick & Argo](/blog/falcosidekick-response-engine-part-5-argo/)
- [Build a Kubernetes Response Engine with Falcosidekick & Cloud Run](/blog/falcosidekick-response-engine-part-6-cloud-run/)
- [Build a Kubernetes Response Engine with Falcosidekick & Cloud Functions](/blog/falcosidekick-response-engine-part-7-cloud-functions/)
- [Build a Kubernetes Response Engine with Falcosidekick & Flux v2](/blog/falcosidekick-response-engine-part-8-fluxv2/)
- [Build a Kubernetes Response Engine with Falcosidekick & Fission](/blog/falcosidekick-response-engine-part-9-fission/)

## Contribute
This is a new section that intends to offer hands-on guides on using Falco. Feel free to send your guide, either in a blog format, or as an actual tutorial that will appear under this section.
