---
title: ഇൻസ്റ്റാൾ
description: ലിനക്സ് സിസ്റ്റത്തിൽ ഫാൽക്കോ സജ്ജമാക്കുന്ന വിധം
weight: 3
---

സിസ്റ്റം കോളുകൾ ഉപയോഗിച്ചു ഒരു സിസ്റ്റം സുരക്ഷിതമാക്കുന്നതിനും നിരീക്ഷിക്കുന്നതിനും ഉപയോഗിക്കുന്ന ഒരു ലിനക്സ് അടിസ്ഥാനമാക്കിയുള്ള സുരക്ഷാ ഉപകരണമാണ് ഫാൽകോ.

{{% pageinfo color="primary" %}}
കുബേർനെറ്റ്സ് റൺടൈം സുരക്ഷയ്ക്കായി ഫാൽകോ ഉപയോഗിക്കാം.
ഫാൽക്കോ പ്രവർത്തിപ്പിക്കുന്നതിനുള്ള ഏറ്റവും സുരക്ഷിതമായ മാർഗം ഹോസ്റ്റ് സിസ്റ്റത്തിൽ നേരിട്ട് ഫാൽക്കോ ഇൻസ്റ്റാൾ ചെയ്യുക എന്നതാണ്, അതിനാൽ വിട്ടുവീഴ്ച വരാൻ സാധ്യത ഉള്ള സന്ദർഭങ്ങളിൽ കുബേർനെറ്റസിൽ നിന്ന് ഒറ്റപ്പെട്ടു പ്രവർത്തിക്കാൻ ഫാൽക്കോയ്ക്ക് കഴിയുന്നു.
കുബേർനെറ്റസിൽ പ്രവർത്തിക്കുന്ന റീഡ്-ഒൺലി ഏജന്റുകളിലൂടെ ഫാൽകോ അലേർട്ടുകൾ ഉപയോഗിക്കാൻ കഴിയും.


Helm  ഉപയോഗിച്ച് ഒരു ഡെമൺസെറ്റായി കുബേർനെറ്റസിൽ നേരിട്ട് ഫാൽകോ പ്രവർത്തിപ്പിക്കാനും കഴിയും. കൂടുതൽ വിവരങ്ങൾക്ക് [third party integrations](../third-party) കാണുക {{% /pageinfo %}}


ചുവടെയുള്ള പാക്കേജ് മാനേജർ ആർട്ടിഫാക്ടസ് ഉപയോഗിച്ച് ഫാൽക്കോ ഇൻസ്റ്റാൾ ചെയ്തിട്ടുണ്ടെങ്കിൽ, ഇനിപ്പറയുന്നവ നിങ്ങൾക്ക് ലഭിക്കും:

 - `systemd` വഴി ഷെഡ്യൂൾ ചെയ്തതും വാച്ച് ചെയ്തതും ആയ ഫാൽകോ യൂസർസ്‌പെയ്‌സ് പ്രോഗ്രാം
 - പാക്കേജ് മാനേജർ വഴി ഡ്രൈവർ ഇൻസ്റ്റാൾ ചെയ്ത ഫാൽക്കോ (ഹോസ്റ് അനുസൃതമായി കേർണൽ മൊഡ്യൂൾ അല്ലെങ്കിൽ ഇബിപിഎഫ് ഉപയോഗിക്കാം)
 - `/etc/falco`- ൽ സെയ്ൻ, സ്ഥിരസ്ഥിതി കോൺഫിഗറേഷൻ ഫയൽ ഇൻസ്റ്റാൾ ചെയ്തിരിക്കുന്നു

പകരമായി, ചുവടെ വിശദമാക്കിയിരിക്കുന്നതുപോലെ ഒരു [ബൈനറി പാക്കേജ്](#linux-binary) ഉപയോഗിക്കാനും കഴിയും.

## ഇൻസ്റ്റാൾ ചെയ്യുന്ന വിധം

### Debian / Ubuntu {#debian}

1. ഫാൽകോസെക്യൂരിറ്റി ജിപിജി കീയെ വിശ്വസിക്കുക, apt repository ക്രമീകരിക്കുക, പാക്കേജ് പട്ടിക അപ്‌ഡേറ്റുചെയ്യുക:

    ```shell
    curl -s https://falco.org/repo/falcosecurity-packages.asc | apt-key add -
    echo "deb https://dl.bintray.com/falcosecurity/deb stable main" | tee -a /etc/apt/sources.list.d/falcosecurity.list
    apt-get update -y
    ```

2. കേർണൽ തലക്കെട്ടുകൾ ഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    apt-get -y install linux-headers-$(uname -r)
    ```

3. ഫാൽക്കോ ഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    apt-get install -y falco
    ```

    ഫാൽകോ, കേർണൽ മൊഡ്യൂൾ ഡ്രൈവർ, ഡീഫോൾട്  കോൺഫിഗറേഷൻ എന്നിവ ഇപ്പോൾ ഇൻസ്റ്റാളു ചെയ്‌തു.
    ഫാൽക്കോ ഒരു systemd  യൂണിറ്റായി പ്രവർത്തിക്കുന്നു.

    ഫാൽക്കോ ഉപയോഗിച്ച് എങ്ങനെ മാനേജുചെയ്യാം, പ്രവർത്തിപ്പിക്കാം, ഡീബഗ് ചെയ്യാം എന്നതിനെക്കുറിച്ചുള്ള വിവരങ്ങൾക്കായി [running](../running) കാണുക.

4. ഫാൽക്കോ അൺഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    apt-get remove falco
    ```

### CentOS/RHEL/Fedora/Amazon Linux {#centos-rhel}

1. ഫാൽകോസെക്യൂരിറ്റി ജിപിജി കീ വിശ്വസിച്ച് yum ശേഖരം ക്രമീകരിക്കുക:

    ```shell
    rpm --import https://falco.org/repo/falcosecurity-packages.asc
    curl -s -o /etc/yum.repos.d/falcosecurity.repo https://falco.org/repo/falcosecurity-rpm.repo
    ```

    > **Note** — വിതരണത്തിൽ  DKMS ഉം `make` ഉം ലഭ്യമല്ലെങ്കിൽ മാത്രമേ ഇനിപ്പറയുന്ന കമാൻഡ് ആവശ്യമുള്ളൂ. `yum list make dkms` ഉപയോഗിച്ച് DKMS ലഭ്യമാണോയെന്ന് നിങ്ങൾക്ക് പരിശോധിക്കാൻ കഴിയും. ആവശ്യമെങ്കിൽ ഇത് ഇൻസ്റ്റാൾ ചെയ്യുക: `yum install epel-release`, തുടർന്ന് `yum install make dkms`.

2. കേർണൽ തലക്കെട്ടുകൾ ഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    yum -y install kernel-devel-$(uname -r)
    ```

    > **Note** — If the package was not found by the above command, you might need to run `yum distro-sync` in order to fix it. Rebooting the system may be required.

3. ഫാൽക്കോ ഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    yum -y install falco
    ```
    ഫാൽകോ, കേർണൽ മൊഡ്യൂൾ ഡ്രൈവർ, ഡീഫോൾട്  കോൺഫിഗറേഷൻ എന്നിവ ഇപ്പോൾ ഇൻസ്റ്റാളു ചെയ്‌തു.
    ഫാൽക്കോ ഒരു systemd  യൂണിറ്റായി പ്രവർത്തിക്കുന്നു.

    ഫാൽക്കോ ഉപയോഗിച്ച് എങ്ങനെ മാനേജുചെയ്യാം, പ്രവർത്തിപ്പിക്കാം, ഡീബഗ് ചെയ്യാം എന്നതിനെക്കുറിച്ചുള്ള വിവരങ്ങൾക്കായി [running](../running) കാണുക.


4. ഫാൽക്കോ അൺഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    yum erase falco
    ```

### openSUSE {#suse}

1. ഫാൽകോസെക്യൂരിറ്റി ജിപിജി കീ വിശ്വസിച്ച് zypper  ശേഖരം ക്രമീകരിക്കുക:

    ```shell
    rpm --import https://falco.org/repo/falcosecurity-packages.asc
    curl -s -o /etc/zypp/repos.d/falcosecurity.repo https://falco.org/repo/falcosecurity-rpm.repo
    ```

2. കേർണൽ തലക്കെട്ടുകൾ ഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    zypper -n install kernel-default-devel
    ```

3. ഫാൽക്കോ ഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    zypper -n install falco
    ```
    ഫാൽകോ, കേർണൽ മൊഡ്യൂൾ ഡ്രൈവർ, ഡീഫോൾട്  കോൺഫിഗറേഷൻ എന്നിവ ഇപ്പോൾ ഇൻസ്റ്റാളു ചെയ്‌തു.
    ഫാൽക്കോ ഒരു systemd  യൂണിറ്റായി പ്രവർത്തിക്കുന്നു.

    ഫാൽക്കോ ഉപയോഗിച്ച് എങ്ങനെ മാനേജുചെയ്യാം, പ്രവർത്തിപ്പിക്കാം, ഡീബഗ് ചെയ്യാം എന്നതിനെക്കുറിച്ചുള്ള വിവരങ്ങൾക്കായി [running](../running) കാണുക.


4. ഫാൽക്കോ അൺഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    zypper rm falco
    ```

### Linux generic (binary package) {#linux-binary}

1. ഏറ്റവും പുതിയ ബൈനറി ഡൺ‌ലോഡുചെയ്യുക:

    ```shell
    curl -L -O https://dl.bintray.com/falcosecurity/bin/x86_64/falco-{{< latest >}}-x86_64.tar.gz
    ```

2. ഫാൽക്കോ ഇൻസ്റ്റാൾ ചെയ്യുക:

    ```shell
    tar -xvf falco-{{< latest >}}-x86_64.tar.gz
    cp -R falco-{{< latest >}}-x86_64/* /
    ```

3. ഇനിപ്പറയുന്ന ഡിപൻഡൻസികൾ ഇൻസ്റ്റാൾ ചെയ്യുക:
    - നിങ്ങളുടെ വിതരണത്തിനായുള്ള കേർണൽ ഹെഡറുകൾ

4. ചുവടെ വിശദീകരിച്ചതുപോലെ ഡ്രൈവർ [ഇൻസ്റ്റാൾ](#install-driver) ചെയ്യുക.

ഡ്രൈവർ ഇൻസ്റ്റാൾ ചെയ്തുകഴിഞ്ഞാൽ, നിങ്ങൾക്ക് `falco` സ്വമേധയാ പ്രവർത്തിപ്പിക്കാൻ കഴിയും..

### ഡ്രൈവർ ഇൻസ്റ്റാൾ ചെയ്യുന്ന വിധം {#install-driver}

ഡ്രൈവർ ഇൻസ്റ്റാൾ ചെയ്യുന്നതിനുള്ള ഏറ്റവും എളുപ്പ മാർഗം `falco-driver-loader` സ്ക്രിപ്റ്റ് ആണ്.

സാധാരണയായി , ഇത് ആദ്യം കേർണൽ മൊഡ്യൂൾ `dkms` ഉപയോഗിച്ച് പ്രാദേശികമായി നിർമ്മിക്കാൻ ശ്രമിക്കുന്നു. സാധ്യമല്ലെങ്കിൽ, `~/.falco/` എന്നതിലേക്ക് ഒരു പ്രീബിൽറ്റ് കേർണൽ മൊഡ്യൂൾ ഡൗൺലോഡ് ചെയ്യാൻ ഇത് ശ്രമിക്കുന്നു. ഒരു കേർണൽ മൊഡ്യൂൾ കണ്ടെത്തിയാൽ, അത് ചേർക്കപ്പെടുന്നു.

നിങ്ങൾക്ക് eBPF പ്രോബ് ഡ്രൈവർ ഇൻസ്റ്റാൾ ചെയ്യാൻ താൽപ്പര്യമുണ്ടെങ്കിൽ, `falco-driver-loader bpf` പ്രവർത്തിപ്പിക്കുക.
ഇത് ആദ്യം പ്രാദേശികമായി eBPF പ്രോബ് നിർമ്മിക്കാൻ ശ്രമിക്കുന്നു, അല്ലാത്തപക്ഷം `~/.falco /` എന്നതിലേക്ക് ഒരു പ്രീബിൽറ്റ് ഡൗൺലോഡ് ചെയ്യാൻ ശ്രമിക്കുന്നു.


ക്രമീകരിക്കാവുന്ന ഓപ്ഷനുകൾ:

- `DRIVERS_REPO` - ട്രെയിലിംഗ് സ്ലാഷ് കൂടാതെ പ്രീബിൽറ്റ് കേർണൽ മൊഡ്യൂളുകൾക്കും ഇബിപിഎഫ് പ്രോബുകൾക്കുമായി ഉള്ള സ്ഥിരസ്ഥിതി റിപ്പോസിറ്ററി URL അസാധുവാക്കാൻ ഈ പരിസ്ഥിതി വേരിയബിൾ സജ്ജമാക്കുക.

    അതായത്, `https://myhost.mydomain.com` അല്ലെങ്കിൽ, സെർവറിന് ഒരു ഉപഡയറക്ടറികളുടെ ഘടന ഉണ്ടെങ്കിൽ `https://myhost.mydomain.com/drivers` ഉപയോഗിക്കാം.

    ഇനിപ്പറയുന്ന ഘടന ഉപയോഗിച്ച് ഡ്രൈവറുകൾ ഹോസ്റ്റുചെയ്യേണ്ടതുണ്ട്:
    `/${driver_version}/falco_${target}_${kernelrelease}_${kernelversion}.[ko|o]`. ഇവിടെ `k`,` o` എന്നിവ യഥാക്രമം കേർണൽ മൊഡ്യൂളിനെയും `eBPF` പ്രോബും  സൂചിപ്പിക്കുന്നു.

    ഉദാഹരണത്തിന്, `/a259b4bf49c3330d9ad6c3eed9eb1a31954259a6/falco_amazonlinux2_4.14.128-112.105.amzn2.x86_64_1.ko`.

    മുകളിലുള്ള ഫോർമാറ്റ് ഉപയോഗിച്ച് `falco-driver-loader` സ്ക്രിപ്റ്റ് ഡ്രൈവറുകളെ ലഭ്യമാക്കുന്നു.
